# Retrieves a payment

Retrieves a single payment based on the id.

Endpoint: GET /payments/{id}
Version: v1
Security: apiKey

## Security:

  - `apiKey` (unknown)
    http bearer API key

## Path parameters:

  - `id` (string, required)
    ID of the payment

## Response 200:

  - `200` (unknown)
    payment found

## Response 200 fields (application/json):

  - `id` (string, required)

  - `type` (string, required)
    Enum: "payment"

  - `amount` (integer, required)

  - `description` (string, required)

  - `currency` (string, required)
    Enum: "EUR"

  - `pay_method` (any, required)

  - `pay_method.id` (string, required)

  - `pay_method.type` (string, required)
    Enum: "pay_method"

  - `pay_method.name` (string, required)

  - `pay_method.currencies` (array)

  - `pay_method.minimum_amount` (integer)

  - `pay_method.maximum_amount` (integer)

  - `pay_method.details` (object)

  - `pay_method.details.issuers` (array)

  - `pay_method.details.issuers.code` (string)

  - `pay_method.details.issuers.name` (string)

  - `pay_method.details.iban` (string)

  - `pay_method.details.bic` (string)

  - `pay_method.details.account_name` (string)

  - `pay_method.details.routing_number` (string)

  - `pay_method.details.account_number` (string)

  - `state` (string, required)

  - `refunded_amount` (integer, required)

  - `return_url` (string, required)

  - `cancel_url` (string, required)

  - `metadata` (object, required)

  - `customer` (string, required)

  - `mandate` (string, required)

  - `subscription` (string, required)

  - `installment_plan` (string, required)

  - `locale` (string, required)
    Enum: "de", "en", "fr", "nl"

  - `paid_at` (string, required)

  - `fail_reason` (string)
    Enum: "The transaction amount or count exceeds the permitted frequency for this card or account.", "The card holder lacks sufficient funds to complete the transaction.", "The transaction could not be processed with the provided card number.", "The issuer has declined the transaction for authentication reasons.", "The transaction is suspected to be fraudulent.", "The issuer did not allow this transaction against this card based on internal reasons, such as the transaction originated from a specifically restricted industry or country.", "The payment is declined."

  - `created_at` (string, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

  - `_links.customer` (string)

  - `_links.mandate` (string)

  - `_links.subscription` (string)

  - `_links.installment_plan` (string)

  - `_links.checkout` (string)

## Response 404:

  - `404` (unknown)
    payment not found

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.message` (string, required)
    The error message

  - `error.type` (string, required)
    Type of error
    Enum: "invalid_request"

